\begin{figure}[h]
\centering
\begin{bytefield}[bitwidth=0.014\linewidth,bitheight=4ex]{60}
\bitlabel{4}{\makecell{primary\\binary header}}
\bitlabel{28}{\makecell{secondary\\binary header}}
\bitlabel{52}{\makecell{alignment\\padding}} \\
\bitbox[]{7}{} &
\bitbox{1}{\color{gray}\rule{\width}{\height}} &
\bitbox{17}{1\textsuperscript{st} JSON area} &
\bitbox{1}{\color{gray}\rule{\width}{\height}} &
\bitbox{17}{2\textsuperscript{nd} JSON area} &
\bitbox{15}{Keyslots area} &
\bitbox{1}{\color{lightgray}\rule{\width}{\height}}
\bitbox{10}{Data area} &
\end{bytefield}
\caption{LUKS2 header on-disk structure \cite{luks2}.}
\label{fig:luks2hdr}
\end{figure}
